# $Revision: 1.29 $, $Date: 2006/01/13 11:14:28 $
Summary:	A capable mail handling system with a command line interface
Summary(pl):	System obsugi poczty z interfejsem z linii polece
Name:		nmh
Version:	1.2
Release:	1
License:	Freeware
Group:		Applications/Mail
Source0:	http://savannah.nongnu.org/download/nmh/%{name}-%{version}.tar.gz
# Source0-md5:	aeebb9bef9ede7232f52c3a3b693eccc
Patch0:		%{name}-DESTDIR.patch
URL:		http://savannah.nongnu.org/projects/nmh/
BuildRequires:	gdbm-devel
BuildRequires:	ncurses-devel
Obsoletes:	mh
Provides:	mh
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nmh is an email system based on the MH email system and is intended to
be a (mostly) compatible drop-in replacement for MH. Nmh isn't a
single comprehensive program. Instead, it consists of a number of
fairly simple single-purpose programs for sending, receiving, saving,
retrieving and otherwise manipulating email messages. You can freely
intersperse nmh commands with other shell commands or write custom
scripts which utilize nmh commands. If you want to use nmh as a true
email user agent, you'll want to also install exmh to provide a user
interface for it--nmh only has a command line interface.

%description -l pl
Nmh jest systemem pocztowym bazujcym na systemie MH, w wikszoci
kompatybilnym i mogcym zastpi MH. Nmh nie jest pojedynczym
programem - skada si z wielu prostych programw sucych do jednej
czynnoci (wysyania, odbierania, zapisywania, odczytywania...). Mona
swobodnie umieszcza polecenia nmh midzy innymi poleceniami powoki
lub pisa skrypty korzystajce z polece nmh. Jeli chcesz uywa nmh
jako prawdziwego programu pocztowego, pomyl o zainstalowaniu exmh,
dajcego interfejs uytkownika - samo nmh mona obsugiwa tylko z
linii polece.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--with-locking=fcntl \
	--with-mts=sendmail \
	--enable-pop
%{__make} \
	bindir=%{_bindir}/mh \
	libdir=%{_libdir}/mh \
	etcdir=%{_sysconfdir}/nmh
	
%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	SETGID_MAIL= \
	bindir=%{_bindir}/mh \
	libdir=%{_libdir}/mh \
	etcdir=%{_sysconfdir}/nmh
	
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT ChangeLog README docs/{COMP*,FAQ,MAIL*,README.*,TODO}
%dir %{_bindir}/mh
%dir %{_libdir}/mh
%attr(755,root,root) %{_bindir}/mh/*
%attr(755,root,root) %{_libdir}/mh/*
%dir %{_sysconfdir}/nmh
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nmh/*
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nmh.spec,v $
Revision 1.29  2006/01/13 11:14:28  darekr
- release 1

Revision 1.28  2006/01/12 22:54:13  darekr
- noreplace for %config, added %verify()

Revision 1.27  2006/01/12 11:27:55  darekr
- updated to 1.2

Revision 1.26  2005/07/25 14:30:09  freetz
- better late than never: 1.1, dropped hardlink insanity stuff, revisited
  build process, dropped old patches, added DESTDIR and quote-fix patches,
  %%files updates, URL/sources updated

Revision 1.25  2004/09/02 11:27:26  snurf
- typos / formatting / etc.

Revision 1.24  2003/07/20 23:32:44  freetz
- corrected files section (_libdir -> _nmhlibdir)

Revision 1.23  2003/07/20 22:40:40  freetz
- added missing BRs
- added -lgdbm_compat (now builds with current gdbm)
- fixed post install scripts
- added TODO

Revision 1.22  2003/05/28 12:59:54  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 05:51:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2002/07/02 08:29:12  marcus
- use new %%doc
- rel.5.

Revision 1.19  2002/03/27 13:40:40  ankry
- A ghost has renamed patches forgetting of spec
- release 4

Revision 1.18  2002/03/27 11:18:32  roman
s/freeware/Freeware in License

Revision 1.17  2002/02/23 04:05:41  kloczek
- adapterized.

Revision 1.16  2002/02/22 23:29:19  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:14:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/30 13:42:42  filon
- cosmetics

Revision 1.13  2001/11/29 21:34:48  filon
- added option to not chage guid for inc program, not allowed when building by not-root
- relase 3, STBR (really builds now)

Revision 1.12  2001/11/23 12:26:58  qboosh
- s/Copyright/License/, pl translations

Revision 1.11  2001/10/23 16:09:12  filon
- removbed security patch, fixed in versions 1.0.4
- release 2
- STBR

Revision 1.10  2001/08/23 17:10:42  filon
- updated to 1.0.4
- temorary comented security patch, there are rejects
- updated other patches

Revision 1.9  2001/05/23 02:14:54  qboosh
- use %%rpmldflags

Revision 1.8  2000/09/19 18:08:35  baggins
- fixed libdir and sysconfdir

Revision 1.7  2000/07/12 18:27:18  kloczek
- spec adapterized,
 -added using %%configure macro,
- fiew cosmetics.

Revision 1.6  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.5  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:15:08  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/08/24 13:47:36  baggins
- cleanup for PLD (FHS 2.0, macros)

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

Base on spec from RedHat.
